/* constants for user interface font/size combinations */

#define UIMENUFONT	0
#define UISMALLFONT	1
#define UINORMALFONT	2
#define UILARGEFONT	3
#define UITITLEFONT	4
#define UIBOLDSMALLFONT	5
#define UIBOLDNORMALFONT	6
#define UIBOLDLARGEFONT	7
#define UIBOLDTITLEFONT	8
#define NUIFONTS	9

struct fontinfo
        {
                char *name;
                int size;
                char **fontHandle;
        };
extern struct fontinfo uiFontInfo[];
extern char curFontName[];
extern int curFontSize;

extern char *fontsUsed[];
extern int numFontsUsed;  /* number used so far = next index to use */

/* prototypes for common SciAn font routines */

void InitFonts(void);
void KillFonts(void);

#ifdef PROTO

Bool SetupFont(char *name, int size);
void SetUIFont(int);
void RegisterFontUsed(char *name);
int ChrWidth(char c);
int StrWidth(char *s);
void DrawAString(int, long x, long y, char *s);

#else

Bool SetupFont();
void SetUIFont();
void RegisterFontUsed();
int ChrWidth();
int StrWidth();
void DrawAString();

#endif

extern char **fonts;
extern int nFonts;

